#include <iostream>

using namespace std;
long long a[1000001];
long long b[1000001];
int main()
{
    long long n,k,x,br=0;
    cin>>n>>k;
    for(int i=0;i<n;i++)
    {
        cin>>x;
        if(x>=0) a[x]++;
        else b[-x]++;
    }
    for(int i=0;i<=n;i++)
    {
        if(a[i]>=k) br++;
    }
    for(int i=1;i<=n;i++)
    {
        if(b[i]>=k) br++;
    }
    cout<<br<<endl;
    for(int i=0;i<=n;i++)
    {
        if(a[i]>=k) cout<<i<<" ";
    }
    for(int i=1;i<=n;i++)
    {
        if(b[i]>=k) cout<<0-i<<" ";
    }
    cout<<endl;
    return 0;
}